Name:		leonidas-kde-theme
Version:	0.2.2
Release:	1%{?dist}
Summary:	Leonidas KDE Theme

Group:		User Interface/Desktops
License:	GPLv2+ and CC-BY-SA

# We are upstream for this package
URL:		https://fedorahosted.org/fedora-kde-artwork/
Source0:	https://fedorahosted.org/releases/f/e/fedora-kde-artwork/%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
BuildRequires:	kde-filesystem
Requires:	kde-filesystem
Requires:	system-logos
Requires:	leonidas-backgrounds-common >= 10.93.1-1
Requires:	leonidas-backgrounds-kdm >= 10.93.1-1



%description
This is Leonidas KDE Theme Artwork containing KSplash theme, KDM theme and
wallpapers theme. 

%prep
%setup -q


%build
# blank

%install
rm -rf %{buildroot}

# wallpapers
# no more wallpapers links in wallpapers directory which causes all wp in list,
# not only theme
mkdir -p %{buildroot}%{_kde4_datadir}/wallpapers

# KDM
# for KDM and splash we use PNG wallpaper from leonidas-kdm package
# thus only one aspect ratio

mkdir -p %{buildroot}/%{_kde4_appsdir}/kdm/themes/
cp -rp kdm/leonidas/ %{buildroot}/%{_kde4_appsdir}/kdm/themes/
(cd %{buildroot}/%{_kde4_appsdir}/kdm/themes/leonidas/
ln -s ../../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png leonidas.png
)

mkdir -p %{buildroot}/%{_kde4_appsdir}/kdm/pics/users
cp -rp kdm/users %{buildroot}/%{_kde4_appsdir}/kdm/pics

# KSplash
mkdir -p %{buildroot}%{_kde4_appsdir}/ksplash/Themes/
cp -rp ksplash/Leonidas/ %{buildroot}%{_kde4_appsdir}/ksplash/Themes/
ln -s ../../../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536/leonidas.png

# logo from fedora-logos package
# TODO: remove old one from fedora-logos as we're using default one
ln -s ../../../../../../pixmaps/system-logo-white.png %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536/logo.png

# KDE 4 wallpapers theme
mkdir -p %{buildroot}%{_kde4_datadir}/wallpapers/leonidas/contents/images
cp -rp wallpapers/leonidas/metadata.desktop %{buildroot}%{_kde4_datadir}/wallpapers/leonidas
cp -rp wallpapers/leonidas/screenshot.png %{buildroot}%{_kde4_datadir}/wallpapers/leonidas/contents
(cd %{buildroot}%{_kde4_datadir}/wallpapers/leonidas/contents/images
ln -s ../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png 640x480.png
# That one's not really 8:5, but it's the closest...
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 800x480.png
ln -s ../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png 800x600.png
# That one's not really 8:5, but it's the closest...
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 1024x600.png
ln -s ../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png 1024x768.png
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 1152x720.png
ln -s ../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png 1152x864.png
ln -s ../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png 1200x900.png
# That one's not really 8:5, but it's the closest...
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 1280x720.png
# That one's not really 8:5, but it's the closest...
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 1280x768.png
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 1280x800.png
ln -s ../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png 1280x960.png
ln -s ../../../../backgrounds/leonidas/lion/normalish/1280x1024/leonidas-1-noon.png 1280x1024.png
# That one's not really 8:5, but it's the closest...
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 1366x768.png
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 1440x900.png
ln -s ../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png 1440x1080.png
ln -s ../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png 1600x1200.png
ln -s ../../../../backgrounds/leonidas/lion/normalish/1280x1024/leonidas-1-noon.png 1600x1280.png
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 1680x1050.png
# That one's not really 8:5, but it's the closest...
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 1920x1080.png
ln -s ../../../../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png 1920x1200.png
ln -s ../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png 1920x1440.png
ln -s ../../../../backgrounds/leonidas/lion/normal/2048x1536/leonidas-1-noon.png 2048x1536.png
)


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING.CC-BY-SA COPYING.GPLv2
%{_kde4_appsdir}/kdm/themes/leonidas/
%{_kde4_appsdir}/ksplash/Themes/Leonidas/
%{_kde4_datadir}/wallpapers/leonidas/
#%{_kde4_appsdir}/kdm/pics/users/default_leonidas.png


%changelog
* Tue Apr 21 2009 Jaroslav Reznik <jreznik@redhat.com> 0.2.2-1
- wallpaper screenshot
- fixes

* Fri Apr 17 2009 Jaroslav Reznik <jreznik@redhat.com> 0.2.1-1
- use KDM PNG for KDM, KSplash, JPGs for wallpaper
- does not link wallpapers to wallpapers directory

* Wed Apr 15 2009 Jaroslav Reznik <jreznik@redhat.com> 0.2.0-2
- fix license
- upstream url + source url 
 
* Tue Apr 7 2009 Jaroslav Reznik <jreznik@redhat.com> 0.2.0-1
- updated to lion theme

* Tue Mar 17 2009 Jaroslav Reznik <jreznik@redhat.com> 0.1.0-1
- initial package
